Bug 174643 - Cannot increase hsync/vrefresh beyond defaults despite changing xorg.conf
Cannot increase hsync/vrefresh beyond defaults despite changing xorg.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 19:35 EST by David Leibold
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 12:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete version of Xorg.0.log in question (33.90 KB, text/plain)
2005-11-30 19:38 EST, David Leibold
no flags Details

  None (edit)
Description David Leibold 2005-11-30 19:35:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
Just installed FC4; cannot get screen resolution beyond 640x480 (could also get the odd 848x480 resolution). Was setting 1024x768 during installation.

RH 7.3 had no problem displaying 1024x768 with the same monitor & vid card:

Monitor:    Compaq 151FS
Video Card: S3 UniChrome

Tried variations on xorg.conf; but the system refuses to obey the HorizSync and VertRefresh settings in Section "Monitor".

Tracing things down, Xorg.0.log shows that Monitor0 is forcing the default hsync and vrefresh rates, which are obviously too low to support 1024x768. X/Xorg refuses to obey the HorizSync and VertRefresh values set in xorg.conf, which are in line with the monitor spec.

Excerpts of xorg.conf and Xorg.0.log are in Additional Information.


Version-Release number of selected component (if applicable):
(as installed from FC4 release)

How reproducible:
Always

Steps to Reproduce:
1. try to fix xorg.conf to force higher sync & resolution
2. reboot

 

Actual Results:  Can't get a screen resolution beyond 848x480 or 640x480.

Expected Results:  Screen should be able to run 1024x768

Additional info:

*** relevant excerpt of /etc/X11/xorg.conf ***

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Compaq 151FS"
        DisplaySize  260        200
        HorizSync    31.5 - 57.0
        VertRefresh  50.0 - 90.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "via"
        VendorName  "Videocard vendor"
        BoardName   "S3 UniChrome"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "1024x768"
        #       Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection


*** relevant excerpt of /var/log/Xorg.0.log ***

. . .

(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 0.1.0
        ABI class: X.Org Video Driver, version 0.7
(**) VIA(0): Depth 16, (--) framebuffer bpp 16
(==) VIA(0): RGB weight 565
(==) VIA(0): Default visual is TrueColor
(==) VIA(0): Using HW cursor
(==) VIA(0): Not using video BIOS to set modes

. . .

(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) VIA(0): VESA VBE DDC supported
(II) VIA(0): VESA VBE DDC Level 2
(II) VIA(0): VESA VBE DDC transfer in appr. 1 sec.
(II) VIA(0): VESA VBE DDC read successfully
(II) VIA(0): Manufacturer: CPQ  Model: 23  Serial#: 1127495984
(II) VIA(0): Year: 1995  Week: 28
(II) VIA(0): EDID Version: 1.0
(II) VIA(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) VIA(0): Sync:  Separate
(II) VIA(0): Max H-Image Size [cm]: horiz.: 26  vert.: 20
(II) VIA(0): Gamma: 2.25
(II) VIA(0): DPMS capabilities: Suspend Off; RGB/Color Display
(II) VIA(0): redX: 0.625 redY: 0.340   greenX: 0.310 greenY: 0.592
(II) VIA(0): blueX: 0.150 blueY: 0.063   whiteX: 0.281 whiteY: 0.311
(II) VIA(0): Supported VESA Video Modes:
(II) VIA(0): 720x400@70Hz
(II) VIA(0): 640x480@60Hz
(II) VIA(0): 640x480@72Hz
(II) VIA(0): 800x600@60Hz
(II) VIA(0): 800x600@72Hz
(II) VIA(0): 1024x768@87Hz (interlaced)
(II) VIA(0): 1024x768@60Hz
(II) VIA(0): 1024x768@70Hz
(II) VIA(0): 1024x768@75Hz
(II) VIA(0): Manufacturer's mask: 0
(II) VIA(0): Monitor0: Using default hsync range of 28.00-33.00 kHz
(II) VIA(0): Monitor0: Using default vrefresh range of 43.00-72.00 Hz
(II) VIA(0): Clock range:  20.00 to 230.00 MHz
(II) VIA(0): Not using default mode "640x350" (hsync out of range)
(II) VIA(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) VIA(0): Not using default mode "640x400" (hsync out of range)
. . .

{1024x768 resolutions rejected, generally due to "hsync out of range"}
Comment 1 David Leibold 2005-11-30 19:38:59 EST
Created attachment 121657 [details]
Complete version of Xorg.0.log in question
Comment 2 David Leibold 2005-12-04 19:42:54 EST
Follow-up: 1024x768 resolution is achieved by changing Device-->Driver in
xorg.conf from "via" to "vesa".

More specifics on hardware: motherboard is M7VIZ, apparently VIA KM400/VT8235
for video.

Bug should be flagged more specifically as "xorg-x11-drv-via" - there remains an
issue of V/H settings in xort.conf being overridden with minimal defaults under
the VIA driver.
Comment 3 Mike A. Harris 2006-02-01 19:01:35 EST
This is an automated note being applied to multiple bugs simultaneously
intended to provide some useful general information.  Please do not reply.

General info for Fedora bug reporters:  Please note that all Fedora Core 4
bugs being filed against any part of the X Window System, should be filed
against the "xorg-x11" bug component.  Bugzilla components correspond to the
src.rpm package from which any application or particular file has been built
from.  "xorg-x11" is the single src.rpm in FC4 which fully contains the
X window system.

All of the other xorg-x11-* components listed in bugzilla, such as xorg-x11-xdm,
xorg-x11-drv-*, and various other components, are those which are part of the
current Fedora Core 5 development process, and are intended only for bugs
being filed against FC5 test releases and "rawhide" which contain the X11R7
release of the X Window system.

When filing FC4 bugs, please ensure you are using "xorg-x11" as a component
and not one of the FC5/devel related components.  This may seem a bit
confusing, since bugzilla presents all of these components as choices
even for FC4.

This seems to be an unfortunate limitation in bugzilla, which does not
appear to be able to restrict individual components to a single product
version, thereby every component in every version appears in the list
for all versions.

When we find a bug filed against a component that is not included in that
particular OS release, we'll do our best to ensure it gets reassigned to
the correct component, however any help users can provide by filing
against the right component, or reassigning misfiled bugs they spot
to the right component would be greatly appreciated.

Thanks in advance, and apologies for any inconveniences.
Comment 4 Mike A. Harris 2006-06-27 12:46:03 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.